from PyQt6 import QtGui, QtWidgets, QtCore
import enum
import os


class SelectionModeEnum(enum.Enum):
    Single = 0
    Multi = 1
    SingleRow = 2
    MultiRow = 3
    NoSelection = 4


class Custom(QtWidgets.QWidget):

    _selection_mode = None

    def __init__(self, parent):
        super().__init__(parent)

        self._selection_mode = 1

    QtCore.Q_E(SelectionModeEnum)

    def get_selection_mode(self):
        return self._selection_mode

    def setSelectionMode(self, sm):
        self._selection_mode = sm

    selectionMode = QtCore.pyqtProperty(
        SelectionModeEnum, get_selection_mode, setSelectionMode)
